LibreOffice: XDataOutputStream Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XDataOutputStream Interface Referencepublished

makes it possible to write machine-independent simple data types to a stream. More...

`import"XDataOutputStream.idl";`

Inheritance diagram for XDataOutputStream:

## Public Member Functions
void | writeBoolean ([in] boolean Value) raises ( com::sun::star::io::IOException )
| writes a boolean. More...
void | writeByte ([in] byte Value) raises ( com::sun::star::io::IOException )
| writes an 8-bit byte. More...
void | writeChar ([in] char Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit character. More...
void | writeShort ([in] short Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit big endian integer. More...
void | writeLong ([in] long Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit big endian integer. More...
void | writeHyper ([in] hyper Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit big endian integer. More...
void | writeFloat ([in] float Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit IEEE float. More...
void | writeDouble ([in] double Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit IEEE double. More...
void | writeUTF ([in] string Value) raises ( com::sun::star::io::IOException )
| writes a string in UTF format. More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to write machine-independent simple data types to a stream.

See also
  com::sun::star::io::XDataInputStream

## Member Function Documentation

## ◆ writeBoolean()

void writeBoolean | ( | [in] boolean | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a boolean.

It is an 8-bit value. 0 means FALSE; all other values mean TRUE.

## ◆ writeByte()

void writeByte | ( | [in] byte | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes an 8-bit byte.

## ◆ writeChar()

void writeChar | ( | [in] char | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 16-bit character.

## ◆ writeDouble()

void writeDouble | ( | [in] double | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 64-bit IEEE double.

## ◆ writeFloat()

void writeFloat | ( | [in] float | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 32-bit IEEE float.

## ◆ writeHyper()

void writeHyper | ( | [in] hyper | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 64-bit big endian integer.

## ◆ writeLong()

void writeLong | ( | [in] long | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 32-bit big endian integer.

## ◆ writeShort()

void writeShort | ( | [in] short | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a 16-bit big endian integer.

## ◆ writeUTF()

void writeUTF | ( | [in] string | Value | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a string in UTF format.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XDataOutputStream.idl